<section class="section">
  <div class="container">
    <%= form_for @conn, Routes.event_path(@conn, :search_results, @locale), [method: :get], fn form -> %>
        <div id="tabs-with-content">
          <div class="tabs is-boxed is-medium">
            <ul>
              <li>
                <a><%= gettext "Basic filters" %></a>
              </li>
              <li>
                <a><%= gettext "Advanced filters" %></a>
              </li>
            </ul>
          </div>
          <div>
            <section class="tab-content is-active">
              <div class="columns is-multiline">
                <div class="column is-one-third">
                  <%= Web.Bulma.date_input(form, :start_date, gettext("Start date"), "calendar-minus") %>
                </div>
                <div class="column is-one-third">
                  <%= Web.Bulma.date_input(form, :end_date, gettext("End date"), "calendar-plus") %>
                </div>
              </div>
              <hr>
              <div class="columns is-centered">
                <div class="column is-one-third">
                  <%= Web.Bulma.number_input(form, :maximal_latitude, gettext("Maximal latitude"), "arrow-up", step: 0.01) %>
                </div>
              </div>
              <div class="columns is-mobile is-centered">
                <div class="column">
                  <%= Web.Bulma.number_input(form, :minimal_longitude, gettext("Minimal longitude"), "arrow-left", step: 0.01) %>
                </div>
                <div class="column is-one-third-desktop is-narrow">
                </div>
                <div class="column">
                  <%= Web.Bulma.number_input(form, :maximal_longitude, gettext("Maximal longitude"), "arrow-right", step: 0.01) %>
                </div>
              </div>
              <div class="columns is-centered">
                <div class="column is-one-third">
                  <%= Web.Bulma.number_input(form, :minimal_latitude, gettext("Minimal latitude"), "arrow-down", step: 0.01) %>
                </div>
              </div>
              <hr>
              <div class="columns is-multiline">
                <div class="column is-one-third">
                  <%= Web.Bulma.number_input(form, :limit, gettext("Limit"), "stop") %>
                </div>
                <div class="column is-one-third">
                  <%= Web.Bulma.number_input(form, :offset, gettext("Offset"), "forward") %>
                </div>
                <div class="column is-one-third">
                  <%= Web.Bulma.select(form, :order_by, [
                    [key: gettext("Descending time"), value: :descending_time],
                    [key: gettext("Ascending time"), value: :ascending_time],
                    [key: gettext("Descending magnitude"), value: :descending_magnitude],
                    [key: gettext("Ascending magnitude"), value: :ascending_magnitude]
                  ], gettext("Order by"), "stream") %>
                </div>
              </div>
            </section>
            <section class="tab-content is-active">
              <div class="columns">
                <div class="column is-half">
                  <div class="content">
                    <%= Web.Bulma.number_input(form, :minimal_magnitude, gettext("Minimal magnitude"), "arrow-down", step: 0.1) %>
                    <%= Web.Bulma.number_input(form, :maximal_magnitude, gettext("Maximal magnitude"), "arrow-up", step: 0.1) %>
                    <hr>
                    <%= Web.Bulma.number_input(form, :minimal_depth, gettext("Minimal depth"), "arrow-down") %>
                    <%= Web.Bulma.number_input(form, :maximal_depth, gettext("Maximal depth"), "arrow-up") %>
                    <hr>
                    <%= Web.Bulma.text_input(form, :event_id, gettext("Event ID"), "stream") %>
                  </div>
                </div>
                <div class="column is-half">
                  <div class="content">
                    <%= Web.Bulma.label(gettext "Event types") %>
                    <%= for event_type <- @event_types do %>
                      <% translated_event_type = Gettext.dgettext(Web.Gettext, "event_types", event_type.event_type) |> String.capitalize() %>
                      <p class="control"></p>
                      <label class="checkbox">
                        <%= checkbox(form, "event_type_#{event_type.event_type}" |> String.to_atom() ) %>
                        &nbsp;<%= translated_event_type %>
                        <span class="tag is-link is-normal"><%= event_type.count %></span>
                      </label>
                      </p>
                    <% end %>
                  </div>
                </div>
              </div>
            </section>
          </div>
        </div>
      <hr>
      <div class="columns">
        <div class="column">
          <%= Web.Bulma.reset(gettext "Reset") %>
        </div>
        <div class="column">
          <%= Web.Bulma.submit(gettext "Search") %>
        </div>
      </div>
    <% end %>
  </div>
</section>
<script src="<%= Routes.static_path(@conn, "/js/tabs.js") %>"></script>
<script type="text/javascript">
  document.addEventListener('DOMContentLoaded', (event) => {
    Tabs('tabs-with-content')
  })
</script>
